--- title: "Get term list" slug: "papago-glossary-list" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/papago-glossary-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get term list Available in Classic and VPC Get the list of terms in the glossary. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /glossary/v1/{glossaryKey}/replacer | ### Request headers For information about the headers common to all Papago Translation APIs, see [Papago Translation request headers](/docs/en/ai-naver-papagonmt#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `glossaryKey` | String | Required | Glossary ID - See [Get glossary list](/docs/en/papago-glossarylist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Long | Optional | Page number - 1-N | | `count` | Long | Optional | Number of items per page | ### Request example The request example is as follows: ``` curl --location --request GET 'https://papago.apigw.ntruss.com/glossary/v1/{glossaryKey}/replacer?page=1&count=20' \ --header 'x-ncp-apigw-timestamp: {x-ncp-apigw-timestamp}' \ --header 'x-ncp-iam-access-key: {x-ncp-iam-access-key}' \ --header 'x-ncp-apigw-signature-v2: {x-ncp-apigw-signature-v2}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `replacerList` | Array | - | List of terms in the glossary: [replacerList](/docs/en/papago-glossary-list#replacerList) | | `paging` | Object | - | Paging information of the response result | | `paging.totalPageCount` | Long | - | Total number of pages | | `paging.totalItemCount` | Long | - | Total item count | | `paging.page` | Long | - | Current page number | | `paging.count` | Long | - | Number of items per page | #### `replacerList` The following describes `replacerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Long | - | Term ID | | `glossaryKey` | String | - | Glossary ID | | `source` | String | - | Source language code - Example: `ko`, `en` | | `target` | String | - | Tranlation language code - Example: `ko`, `en` | | `triggerText` | String | - | Source text | | `replaceText` | String | - | Translated text | | `createdDateTime` | String | - | Creation date and time - `yyyy-MM-dd kk:mm:ss` format | | `updatedDateTime` | String | - | Modification date and time - `yyyy-MM-dd kk:mm:ss` format | ### Response status codes For information about the HTTP status codes common to all Papago Translation APIs, see [Papago Translation response status codes](/docs/en/ai-naver-papagonmt#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "replacerList": [ { "id": 12345, "glossaryKey": "7f3c2a91-8b5e-4d7b-9e32-1c0f4e7e59ad", "source": "ko", "target": "en", "triggerText": "Test term", "replaceText": "Test Term", "createdDateTime": "2025-01-24 10:30:00", "updatedDateTime": "2025-01-24 10:30:00" } ], "paging": { "totalPageCount": 5, "totalItemCount": 100, "page": 1, "count": 20 } } ```